crashpad::MinidumpContextARM64 Struct Reference

A 64-bit ARM CPU context (register state) carried in a minidump file. More...

`#include "minidump/minidump_context.h"`

## Public Attributes

uint64_t | context_flags
uint64_t | regs [31]
| General-purpose registers `x0`-`x30`.
uint64_t | sp
| Stack pointer or `x31`.
uint64_t | pc
| Program counter.
uint32_t | cpsr
| Current program status register.
uint32_t | fpsr
| Floating-point status register.
uint32_t | fpcr
| Floating-point control register.
uint128_struct | fpsimd [32]
| NEON registers `v0`-`v31`.

## Detailed Description

A 64-bit ARM CPU context (register state) carried in a minidump file.

The documentation for this struct was generated from the following file:

- minidump/minidump_context.h